<?php 

/*
** SellaNMS
** $Id: browsersearch.php,v 1.6 2006/01/24 07:08:09 sella Exp $
** Copyright (c) 2001 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

require_once('modules/browser/modules/elementviewer.php');
require_once('modules/browser/modules/interfaceviewer.php');
require_once('modules/browser/modules/ipaddressviewer.php');
require_once('modules/browser/modules/interfacelister.php');
require_once('modules/browser/modules/elementalerts.php');
require_once('modules/browser/modules/connectionlister.php');

class BrowserSearch extends Module {
	function BrowserSearch() {
      Module::Module();

      $this->cache_ext = 'php';
	}

	function shouldUpdate() {
		return false;
	}

	function getContent($tabs) {
		return join('', file('modules/browser/modules/templates/browsersearch_template.php'));
	}
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3
*/

?>
